Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.cfg
[Java] Class GrailsPlaceholderConfigurer

    java.lang.Object
      org.springframework.core.io.support.PropertiesLoaderSupport
          org.springframework.beans.factory.config.PropertyResourceConfigurer
              org.springframework.beans.factory.config.PlaceholderConfigurerSupport
                  org.springframework.context.support.PropertySourcesPlaceholderConfigurer
                      org.codehaus.groovy.grails.commons.cfg.GrailsPlaceholderConfigurer

    public class GrailsPlaceholderConfigurer
    extends org.springframework.context.support.PropertySourcesPlaceholderConfigurer

Uses Grails' ConfigObject for place holder values.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class org.springframework.context.support.PropertySourcesPlaceholderConfigurer
LOCAL_PROPERTIES_PROPERTY_SOURCE_NAME, ENVIRONMENT_PROPERTIES_PROPERTY_SOURCE_NAME, DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE

Fields inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport
DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE

Constructor Summary
`GrailsPlaceholderConfigurer(GrailsApplication grailsApplication)`

Method Summary
`protected void` | `loadProperties(java.util.Properties props)`

Methods inherited from class org.springframework.context.support.PropertySourcesPlaceholderConfigurer
org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setEnvironment(org.springframework.core.env.Environment), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertySources(org.springframework.core.env.PropertySources), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setNullValue(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setIgnoreUnresolvablePlaceholders(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setBeanName(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPlaceholderPrefix(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPlaceholderSuffix(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setValueSeparator(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getOrder(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setOrder(int), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocation(org.springframework.core.io.Resource), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setProperties(java.util.Properties), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setFileEncoding(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertiesArray([Ljava.util.Properties;), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocations([Lorg.springframework.core.io.Resource;), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocalOverride(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setIgnoreResourceNotFound(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertiesPersister(org.springframework.util.PropertiesPersister), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(long, int), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(long), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#equals(java.lang.Object), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#toString(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#hashCode(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getClass(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#notify(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#notifyAll()

Methods inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport
org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setNullValue(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setIgnoreUnresolvablePlaceholders(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setBeanName(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPlaceholderPrefix(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPlaceholderSuffix(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setValueSeparator(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#getOrder(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setOrder(int), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocation(org.springframework.core.io.Resource), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setProperties(java.util.Properties), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setFileEncoding(java.lang.String), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPropertiesArray([Ljava.util.Properties;), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocations([Lorg.springframework.core.io.Resource;), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setLocalOverride(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setIgnoreResourceNotFound(boolean), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#setPropertiesPersister(org.springframework.util.PropertiesPersister), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(long, int), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(long), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#wait(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#equals(java.lang.Object), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#toString(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#hashCode(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#getClass(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#notify(), org.springframework.beans.factory.config.PlaceholderConfigurerSupport#notifyAll()

Constructor Detail

### GrailsPlaceholderConfigurer

    public GrailsPlaceholderConfigurer(GrailsApplication grailsApplication)

Method Detail

### loadProperties

    @java.lang.Override
    protected void loadProperties(java.util.Properties props)

Groovy Documentation